import os
from setuptools import setup

# Work around mbcs bug in distutils.
# Sebastian 2019-03-04: not sure whether this is still needed...
# http://bugs.python.org/issue10945
import codecs

try:
    codecs.lookup('mbcs')
except LookupError:
    ascii = codecs.lookup('ascii')
    func = lambda name, enc=ascii: {True: enc}.get(name == 'mbcs')
    codecs.register(func)


thelibFolder = os.path.dirname(os.path.realpath(__file__))
requirementPath = thelibFolder + '/requirements.txt'
install_requires = []
if os.path.isfile(requirementPath):
    with open(requirementPath) as f:
        install_requires = f.read().splitlines()


if __name__=='__main__':
    setup(
      use_scm_version=True,
      install_requires=install_requires,
    )
